Package ru.bitel.oss.kernel.entity.common.bean

# Class AbstractSpecAttr

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ContractParameterGroupAttr`, `EntitySpecAttr`, `ObjectParameterGroupAttr`

public class AbstractSpecAttr extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractSpecAttr.Builder<T extends AbstractSpecAttr>`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSpecAttr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Комментарий
  `int`
  `getType()`
  Тип параметра - текст, список, адрес и т.п.
  `String`
  `getTypeName()`
  Строковое значение типа параметра - text, int, boolean, address, date и т.д.
  `String`
  `getTypeName(int type)`
  Строковое значение типа параметра - text, int, boolean, address, date и т.д.
  `boolean`
  `isHistory()`
  Нужно ли сохранять историю изменения параметра (если поддерживается).
  `void`
  `setComment(String comment)`
  `void`
  `setHistory(boolean history)`
  `void`
  `setType(int type)`
  `static <A extends AbstractSpecAttr>
  Map<Integer,List<A>>`
  `toTypeMap(List<A> entitySpecAttrList)`
  Получение сгруппированных по типу параметров.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AbstractSpecAttr

    public AbstractSpecAttr()

- ## Method Details

  - ### getType

    public int getType()
    Тип параметра - текст, список, адрес и т.п.
    Returns:

  - ### setType

    public void setType(int type)

  - ### getTypeName

    public String getTypeName(int type)
    Строковое значение типа параметра - text, int, boolean, address, date и т.д.
    Returns:

  - ### getTypeName

    public String getTypeName()
    Строковое значение типа параметра - text, int, boolean, address, date и т.д.
    Returns:

  - ### isHistory

    public boolean isHistory()
    Нужно ли сохранять историю изменения параметра (если поддерживается).
    Returns:

  - ### setHistory

    public void setHistory(boolean history)

  - ### getComment

    public String getComment()
    Комментарий
    Returns:

  - ### setComment

    public void setComment(String comment)

  - ### toTypeMap

    public static <A extends AbstractSpecAttr> Map<Integer,List<A>> toTypeMap(List<A> entitySpecAttrList)
    Получение сгруппированных по типу параметров.
    Parameters:
      `entitySpecAttrList` -
    Returns: